Docs/API reference / Calibration constants
Create calibration constants
Requires `developer_api.calibration_constants.create` on the project-scoped Developer API connection. Use the API origin supplied for your deployment. Unknown query parameters and unexpected request bodies are rejected.
The request panel saves credentials and API settings in this browser. Privacy details
Authorization
developerApiKey AuthorizationBearer <token>
Project-scoped Developer API connection key. Grant only the required operation permissions.
In: header
Path Parameters
project_id*string
Match
.*\S.*Length
1 <= length <= 128instrument_id*string
Match
.*\S.*Length
1 <= length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
bash
curl -X POST "https://example.com/dev-api/v1/p/string/instruments/string/calibration-constants" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"value": 0
}'json
{
"request_id": "string",
"data": {
"resource": {
"lifecycle_state": "active",
"archived_at": "2019-08-24T14:15:22Z",
"archived_by": {
"type": "user",
"id": "string"
},
"id": "string",
"instrument_id": "string",
"name": "string",
"value": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
},
"recalculation_batch_run_id": "string"
}
}name*string
Match
.*\S.*Length
1 <= length <= 256value*number